Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class RevokeTherapeuticLinkRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.RevokeTherapeuticLinkRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:23:15+02:00",
               comments="JAXB RI v2.2.11")
    public class RevokeTherapeuticLinkRequest

extends Object
implements Serializable

Java class for RevokeTherapeuticLinkRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokeTherapeuticLinkRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element ref="{http://www.ehealth.fgov.be/hubservices/core/v2}therapeuticlink"/>
             <element name="proof" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ProofType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokeTherapeuticLinkRequest()`

Method Summary
`List<ProofType>` | `getProoves()` Gets the value of the prooves property.
`RequestType` | `getRequest()` Gets the value of the request property.
`TherapeuticLinkType` | `getTherapeuticlink()` Gets the value of the therapeuticlink property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.
`void` | `setTherapeuticlink(TherapeuticLinkType value)` Sets the value of the therapeuticlink property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getTherapeuticlink

    public TherapeuticLinkType getTherapeuticlink()

  Gets the value of the therapeuticlink property.

  Returns:
    possible object is `TherapeuticLinkType`

### setTherapeuticlink

    public void setTherapeuticlink(TherapeuticLinkType value)

  Sets the value of the therapeuticlink property.

  Parameters:
    `value` - allowed object is `TherapeuticLinkType`

### getProoves

    public List<ProofType> getProoves()

  Gets the value of the prooves property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prooves property.

  For example, to add a new item, do as follows:

          getProoves().add(newItem);

  Objects of the following type(s) are allowed in the list `ProofType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.